[MERGED] osmo-gsm-tester[master]: contrib: add jenkins-build-osmo-msc.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Sun May 28 22:24:39 UTC 2017


Neels Hofmeyr has submitted this change and it was merged.

Change subject: contrib: add jenkins-build-osmo-msc.sh
......................................................................


contrib: add jenkins-build-osmo-msc.sh

Change-Id: I2d5520cab0ad09f23e3ba49404385af80acf56f6
---
A contrib/jenkins-build-osmo-msc.sh
1 file changed, 82 insertions(+), 0 deletions(-)

Approvals:
  Pau Espin Pedrol: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins-build-osmo-msc.sh b/contrib/jenkins-build-osmo-msc.sh
new file mode 100755
index 0000000..7e71488
--- /dev/null
+++ b/contrib/jenkins-build-osmo-msc.sh
@@ -0,0 +1,82 @@
+#!/bin/sh
+set -e -x
+
+base="$PWD"
+prefix="$base/inst-osmo-msc"
+
+rm -f "$base/osmo-msc*.tgz"
+
+git_url="git://git.osmocom.org"
+
+have_repo() {
+	repo="$1"
+	branch="${2-master}"
+
+	cd "$base"
+	if [ ! -d "$repo" ]; then
+		git clone "$git_url/$repo" -b "$branch" "$repo"
+	fi
+	cd "$repo"
+	rm -rf *
+	git fetch origin
+	git checkout .
+	git checkout "$branch"
+	git reset --hard origin/"$branch"
+	git rev-parse HEAD
+
+	cd "$base"
+}
+
+build_repo() {
+	dep="$1"
+	branch="${2-master}"
+
+	have_repo "$dep" "$branch"
+
+	cd "$dep"
+
+	echo "$(git rev-parse HEAD) $dep" >> "$prefix/osmo-msc_git_hashes.txt"
+
+	config_opts=""
+
+	case "$dep" in
+	'openbsc')
+		config_opts="$config_opts --enable-smpp --enable-osmo-bsc --enable-nat --enable-iu"
+		cd openbsc/
+	;;
+	esac
+
+	autoreconf -fi
+	./configure --prefix="$prefix" $config_opts
+	make -j8 || make  # libsmpp34 can't build in parallel
+	make install
+}
+
+rm -rf "$prefix"
+mkdir -p "$prefix"
+
+export PKG_CONFIG_PATH="$prefix/lib/pkgconfig"
+export LD_LIBRARY_PATH="$prefix/lib"
+
+build_repo libosmocore
+build_repo libosmo-abis
+build_repo libosmo-netif
+build_repo openggsn
+build_repo libsmpp34
+build_repo libosmo-sccp neels/aoip # TEMPORARY BRANCH
+build_repo libasn1c
+build_repo osmo-iuh neels/sigtran # TEMPORARY BRANCH
+build_repo openbsc aoip
+
+# don't package documentation -- the libosmocore docs can be up to 16 Mb large,
+# a significant amount compared to the binaries
+rm -rf "$prefix/share/doc/libosmocore"
+
+# build the archive that is going to be copied to the tester
+rm "$base"/*.tgz "$base"/*.md5 || true
+cd "$prefix"
+this="osmo-msc.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
+tar="${this}.tgz"
+tar czf "$base/$tar" *
+cd "$base"
+md5sum "$tar" > "${this}.md5"

-- 
To view, visit https://gerrit.osmocom.org/2717
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I2d5520cab0ad09f23e3ba49404385af80acf56f6
Gerrit-PatchSet: 4
Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>



More information about the gerrit-log mailing list